Package org.jboss.resteasy.client.jaxrs

## Class ProxyBuilder<T>

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.ProxyBuilder<T>

- Direct Known Subclasses:
    `ProxyBuilderImpl`

      public abstract class ProxyBuilder<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyBuilder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract T` | `build()` |
    `abstract T` | `build​(ProxyConfig config)` |
    `static <T> ProxyBuilder<T>` | `builder​(Class<T> iface, javax.ws.rs.client.WebTarget webTarget)` |
    `abstract ProxyBuilder<T>` | `classloader​(ClassLoader cl)` |
    `abstract ProxyBuilder<T>` | `defaultConsumes​(String type)` |
    `abstract ProxyBuilder<T>` | `defaultConsumes​(javax.ws.rs.core.MediaType type)` |
    `abstract ProxyBuilder<T>` | `defaultProduces​(String type)` |
    `abstract ProxyBuilder<T>` | `defaultProduces​(javax.ws.rs.core.MediaType type)` |
    `static <T> T` | `proxy​(Class<T> iface, javax.ws.rs.client.WebTarget base, ProxyConfig config)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyBuilder

          public ProxyBuilder()

  - ### Method Detail

    - #### builder

          public static <T> ProxyBuilder<T> builder​(Class<T> iface,
                                                    javax.ws.rs.client.WebTarget webTarget)

    - #### proxy

          public static <T> T proxy​(Class<T> iface,
                                    javax.ws.rs.client.WebTarget base,
                                    ProxyConfig config)

    - #### classloader

          public abstract ProxyBuilder<T> classloader​(ClassLoader cl)

    - #### defaultProduces

          public abstract ProxyBuilder<T> defaultProduces​(javax.ws.rs.core.MediaType type)

    - #### defaultConsumes

          public abstract ProxyBuilder<T> defaultConsumes​(javax.ws.rs.core.MediaType type)

    - #### defaultProduces

          public abstract ProxyBuilder<T> defaultProduces​(String type)

    - #### defaultConsumes

          public abstract ProxyBuilder<T> defaultConsumes​(String type)

    - #### build

          public abstract T build​(ProxyConfig config)

    - #### build

          public abstract T build()